[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: PAM and NSS for clusters


On Mon, Nov 17, Jozsef Kadlecsik wrote:

> - By default Linux PAM links with libxcrypt instead of libcrypt from 
>   glibc. However the source files include crypt.h and not xcrypt.h, thus 
>   the functions from libcrypt is used in spite of linking with libxcrypt. 

This one is now applied to the Linux-PAM CVS.

> - Simplify source when a function is used both in the pam_unix module and 
>   in the helper binaries. 

Will be now applied.

> - Linux PAM can check blowfish encrypted passwords (if the crypto library 
>   supports it), however it did not support new passwords to be encrypted 
>   by blowfish. One patch adds full blowfish support (and "blowfish" 
>   keyword) to pam_unix.

Will be now applied.
> - @include keyword support (for Debian/Ubuntu).

There were already some discussions in the past which leads to
the introduction of the current include statement. So we will not
take this.

Thank you for your patches,


Thorsten Kukuk, Project Manager/Release Manager SLES
SUSE LINUX Products GmbH, Maxfeldstr. 5, D-90409 Nuernberg
GF: Markus Rex, HRB 16746 (AG Nuernberg)

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]